Bug 14201 - RHSA-2000:043-02 fails for > 2.2.14
RHSA-2000:043-02 fails for > 2.2.14
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-17 20:54 EDT by timothymoore
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-18 17:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description timothymoore 2000-07-17 20:54:18 EDT
[tim@dell ~]# rpm -Uvh /net/asus/kits/Rh62/nfs-utils-0.1.9.1-1.i386.rpm
error: failed dependencies:
        kernel >= 2.2.14 is needed by nfs-utils-0.1.9.1-1
[tim@dell ~]# cat /proc/version
Linux version 2.2.17pre12 (root@asus) (gcc version egcs-2.91.66
19990314/Linux (egcs-1.1.2 release)) #1 Mon Jul 17 01:37:25 PDT 2000
[tim@dell ~]# rpm -qpi /net/asus/kits/Rh62/nfs-utils-0.1.9.1-1.i386.rpm
Name        : nfs-utils                    Relocations: (not relocateable)
Version     : 0.1.9.1                           Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Sun 16 Jul 2000
10:07:00 PM PDT
Install date: (not installed)               Build Host:
porky.devel.redhat.com
Group       : System Environment/Daemons    Source RPM:
nfs-utils-0.1.9.1-1.src.rpm
Size        : 519025                           License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : NFS utlilities and supporting daemons for the kernel NFS
server.
Description :
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.
Comment 1 Nalin Dahyabhai 2000-07-18 09:46:47 EDT
What is the output of "rpm -q kernel"?
Comment 2 timothymoore 2000-07-18 17:54:17 EDT
# rpm -q kernel
kernel-2.2.12-20

Apparently requirements check looked at rpm database which found the
initial RH6.1 installation.  The kernel has been upgraded manually many
times since.

# rpm -qp --requires /net/asus/kits/Rh62/nfs-util*.rpm
kernel >= 2.2.14
portmap >= 4.0
/bin/sh  
ld-linux.so.2  
libc.so.6  
/bin/sh  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  

'--nodeps' allowed a successful installation as all other requirements were
satisfied.

14201 can be closed IMO.  Suggest that kernel version dependencies are a
special case that might warrant checking outside of RPM database.

Comment 3 Nalin Dahyabhai 2000-08-01 12:19:31 EDT
Agreed.  RPM dependency checking can only be expected to work perfectly if you
install everything using RPM, which makes sure that RPM's database matches what
you actually have installed.

Note You need to log in before you can comment on or make changes to this bug.